Bug 18476 - pump mishandles DNS domain and NIS domain.
Summary: pump mishandles DNS domain and NIS domain.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 22:01 UTC by Red Hat Bugzilla
Modified: 2008-03-13 19:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 20:28:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch seems to fix the DNS/NIS domain problem. (3.67 KB, patch)
2000-10-05 22:02 UTC, Red Hat Bugzilla
no flags Details | Diff
An updated patch for DNS/NIS domain (5.56 KB, patch)
2000-10-09 22:46 UTC, Red Hat Bugzilla
no flags Details | Diff

Description Red Hat Bugzilla 2000-10-05 22:01:11 UTC
pump mishandles DNS domain and NIS domain. It may be caused
by confusion from ISC dhcp. In /etc/dhcpd.conf, you can define

option nis-domain "foo.com";
option domain-name "bar.foo.com foo.com";

The nis-domain option sets the NIS domain name. But the
domain-name option is quite misleading. In fact, it is
the value of the search field in /etc/resolv.conf.
"dns-search-domain" may be a better name. You can do

# find -type f | xargs grep domain-name

in the dhcp 2.0 source tree to see how it is used.

In any case, pump has several problems:

1. It cannot handle

option domain-name "bar.foo.com foo.com";

2. It doesn't record the NIS domainname and
it tries to use the domain-name to set
the NIS domainname.

3. --lookup-hostname will remove the
domain-name name.

H.J.

Comment 1 Red Hat Bugzilla 2000-10-05 22:02:04 UTC
Created attachment 3821 [details]
This patch seems to fix the DNS/NIS domain problem.

Comment 2 Red Hat Bugzilla 2000-10-09 22:42:34 UTC
There is another problem with NIS domain. pump won't update NIS domainname
unless it is localdomain. Also you cannot tell pump not to update NIS domain.
I will upload an updated patch.

Comment 3 Red Hat Bugzilla 2000-10-09 22:46:27 UTC
Created attachment 3946 [details]
An updated patch for DNS/NIS domain

Comment 4 Red Hat Bugzilla 2000-10-12 03:31:17 UTC
I think this is another way of stating the same problem: My laptop, upgraded
from 6.2 to 7.0 now fails to set the "search" line in /etc/resolv.conf when it
gets network info via DHCP. It just gets left blank as in:

	search
	nameserver 192.168.0.1

If I get a chance I'll try the patch and submit an additional comment with the
results.


Comment 5 Red Hat Bugzilla 2000-10-13 01:39:35 UTC
I tried the patch and it solved my problem. The "search" field is now set
correctly.


Comment 6 Red Hat Bugzilla 2004-08-23 20:28:00 UTC
latest with patch in cvs


Note You need to log in before you can comment on or make changes to this bug.